/*
 *  mdc_bounds_magnet.h
 *  mdcanvas
 *
 *  Created by Alfredo Kojima on 07/May/3.
 *  Copyright 2007 MySQL AB. All rights reserved.
 *
 */


#ifndef __MDC_BOUNDS_MAGNET_H__
#define __MDC_BOUNDS_MAGNET_H__

#include "mdc_magnet.h"

BEGIN_MDC_DECLS

class Connector;
class CanvasItem;

class BoundsMagnet : public Magnet
{
public:
  BoundsMagnet(CanvasItem *owner);


  virtual Point get_position_for_connector(Connector *conn, const Point &srcpos) const;

protected:
  virtual void owner_bounds_changed(const Rect &obounds);
};


END_MDC_DECLS

#endif

